clang-tools 10.0.0

Namespaces | Functions
AvoidNSObjectNewCheck.cpp File Reference
`#include "AvoidNSObjectNewCheck.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
`#include "clang/Basic/LangOptions.h"`
`#include "clang/Basic/SourceLocation.h"`
`#include "clang/Basic/SourceManager.h"`
`#include "llvm/Support/FormatVariadic.h"`
`#include <map>`
`#include <string>`
Include dependency graph for AvoidNSObjectNewCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::tidy
| clang::tidy::google
| clang::tidy::google::objc

## Functions
static bool | clang::tidy::google::objc::isMessageExpressionInsideMacro (const ObjCMessageExpr *Expr)
static bool | clang::tidy::google::objc::isInitMethodAvailable (const ObjCInterfaceDecl *ClassDecl)
static StringRef | clang::tidy::google::objc::getReceiverString (SourceRange ReceiverRange, const SourceManager &SM, const LangOptions &LangOpts)
static FixItHint | clang::tidy::google::objc::getCallFixItHint (const ObjCMessageExpr *Expr, const SourceManager &SM, const LangOptions &LangOpts)